# Uses of Class
org.apache.lucene.analysis.cn.smart.hhmm.SegToken

Packages that use SegToken
Package
Description
org.apache.lucene.analysis.cn.smart.hhmm
SmartChineseAnalyzer Hidden Markov Model package.

- ## Uses of SegToken in org.apache.lucene.analysis.cn.smart.hhmm

  Methods in org.apache.lucene.analysis.cn.smart.hhmm that return SegToken
  Modifier and Type
  Method
  Description
  `SegToken`
  SegTokenFilter.`filter(SegToken token)`
  Filter an input `SegToken`
  Methods in org.apache.lucene.analysis.cn.smart.hhmm that return types with arguments of type SegToken
  Modifier and Type
  Method
  Description
  `List<SegToken>`
  HHMMSegmenter.`process(String sentence)`
  Return a list of `SegToken` representing the best segmentation of a sentence
  Methods in org.apache.lucene.analysis.cn.smart.hhmm with parameters of type SegToken
  Modifier and Type
  Method
  Description
  `SegToken`
  SegTokenFilter.`filter(SegToken token)`
  Filter an input `SegToken`